# Retrieve a product Retrieves the details of an existing product. Supply the unique product ID from either a product creation request or the product list, and Stripe will return the corresponding product information. ## Prerequisites Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s). 1. createProduct POST /v1/products {"name":"Gold Plan"} ## Request ```curl curl https://api.stripe.com/v1/products/{{PRODUCT_ID}} \ -u "<>" ``` ### Response ```json { "id": "prod_NWjs8kKbJWmuuc", "object": "product", "active": true, "created": 1678833149, "default_price": null, "description": null, "images": [], "marketing_features": [], "livemode": false, "metadata": {}, "name": "Gold Plan", "package_dimensions": null, "shippable": null, "statement_descriptor": null, "tax_code": null, "unit_label": null, "updated": 1678833149, "url": null } ``` ## Returns Returns a product object if a valid identifier was provided.